commit: 932231c6e6287f4f77189a6ae65b5885e1c7419a
Author: Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Tue Jan 10 00:31:44 2017 +0000
Commit: Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Tue Jan 10 00:31:44 2017 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=932231c6
sci-biology/ESTate: avoid file collisions
Package-Manager: Portage-2.3.3, Repoman-2.3.1
sci-biology/ESTate/ESTate-0.5.ebuild | 12 ++++++------
1 file changed, 6 insertions(+), 6 deletions(-)
diff --git a/sci-biology/ESTate/ESTate-0.5.ebuild
b/sci-biology/ESTate/ESTate-0.5.ebuild
index f48399d..aa66bcd 100644
--- a/sci-biology/ESTate/ESTate-0.5.ebuild
+++ b/sci-biology/ESTate/ESTate-0.5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -28,12 +28,12 @@ src_prepare(){
-i src/Makefile || die
}
-# Detected file collision(s) versus sci-biology/hmmer-2.3.2-r2:
-# * sci-biology/ESTate-0.5:0::science
-# * /usr/bin/revcomp
-# * /usr/bin/translate
-
src_install(){
+ # prevent file collision with sci-biology/hmmer-2.3.2
+ newbin bin/{revcomp,revcomp_ESTate}
+ rm bin/revcomp || die
+ newbin bin/{translate,translate_ESTate}
+ rm bin/translate || die
dobin bin/*
doman doc/man/man1/*.1 doc/man/man7/*.7